main/urls.py
from django.urls import path, include
from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('mainprofile', views.profile, name='profile'),
    path('album', views.album, name='album'),
    path('form', views.index, name='index'),
    path('matkul', views.matkulpage, name='matkulpage'),
    path('hapus/<int:id>', views.deletematkul, name='deletematkul')
]

project_story4/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include(('main.urls', 'main'), namespace='main')),
    path('story7/', include(('story7.urls', 'story7'), namespace='story7')),
    path('story8/', include(('story8.urls', 'story8'), namespace='story8')),
    path('story9/', include(('story9.urls', 'story9'), namespace='story9')),
]

story7/urls.py
from django.urls import path, include
from . import views

app_name = 'story7'

urlpatterns = [
    path('', views.homest7, name='homest7'),
]

story8/urls.py
from django.urls import path, include
from . import views

app_name = 'story8'

urlpatterns = [
    path('', views.search, name = 'search'),
    path('data/', views.caridata),
]

story9/urls.py
from django.urls import path, include
from . import views

app_name = 'story9'

urlpatterns = [
    path('', views.home, name = 'home'),
    path('login/', views.masuk, name = 'login'),
    path('daftar/', views.baru, name='daftar'),
    path('logout/', views.keluar, name='logout'),
    path('data/', views.caridata),
]

main/models.py
from django.db import models

# Create your models here.
class matkul(models.Model):
    NamaMatkul = models.CharField(max_length=200)
    dosen = models.CharField(max_length=200)
    sks = models.CharField(max_length=200)
    deskripsi = models.CharField(max_length=200)
    tahun = models.CharField(max_length=200)
    ruangkelas = models.CharField(max_length=200)
    
    def __str__(self):
        return self.NamaMatkul

story7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

main/forms.py
from django import forms
from .models import matkul

class Input_Form(forms.ModelForm):
    class Meta:
        model = matkul
        fields = '__all__'
        widgets = {
        'NamaMatkul' : forms.TextInput(attrs={'class': 'form-control'}),
        'dosen' : forms.TextInput(attrs={'class': 'form-control'}),
        'sks' : forms.TextInput(attrs={'class': 'form-control'}),
        'deskripsi' : forms.TextInput(attrs={'class': 'form-control'}),
        'tahun' : forms.TextInput(attrs={'class': 'form-control'}),
        'ruangkelas' : forms.TextInput(attrs={'class': 'form-control'}),
    }
    error_messages = { 'required' : 'Please Type' }

    input_attrs = {
        'type' : 'text',
    }

story9/forms.py
from django import forms

class buatlogin(forms.Form):
    username = forms.CharField(widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'type' : 'text',
        'placeholder' : "Username",
        'required' : True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'type' : 'password',
        'placeholder' : "Password",
        'required' : True,
    }))

class buatbaru(forms.Form):
    username = forms.CharField(widget=forms.TextInput(attrs={
        'class' : 'form-control',
        'type' : 'text',
        'placeholder' : "Username",
        'required' : True,
    }))
    email = forms.CharField(widget=forms.TextInput(attrs={
        'class': 'form-control', 
        'type' : 'text', 
        'placeholder' : 'Email' , 
        'required' : True,
    }))
    password = forms.CharField(widget=forms.PasswordInput(attrs={
        'class' : 'form-control',
        'type' : 'password',
        'placeholder' : "Password",
        'required' : True,
    }))

main/views.py
from django.shortcuts import render, get_object_or_404,redirect
from django.http import HttpResponseRedirect
from .forms import Input_Form
from .models import matkul

def home(request):
    return render(request, 'main/FrontPage.html')

def profile(request):
    return render(request, 'main/MainPage.html')

def album(request):
    return render(request, 'main/albumpage.html')

def matkulpage(request):
    infomatkul = matkul.objects.all()
    print (infomatkul)
    response = {'matkul' : infomatkul}
    return render(request, 'main/MatkulPage.html', response)

def index(request):
    if (request.method == 'POST'):
        form = Input_Form(request.POST)
        if form.is_valid():
            form.save()
            return HttpResponseRedirect('matkul')
    else:
        form = Input_Form()
    response = {'input_form' : Input_Form}       
    return render(request, 'main/index.html',response)

def deletematkul(request, id):
    nama = get_object_or_404(matkul, id=id)
    nama.delete()
    return redirect('main:matkulpage')

story7/views.py
from django.shortcuts import render, get_object_or_404,redirect
from django.http import HttpResponseRedirect

# Create your views here.
def homest7(request):
    return render(request, 'buatstory7.html')

story8/views.py
from django.shortcuts import render
from django.http import HttpResponseRedirect, JsonResponse
import requests
import json


# Create your views here.
def search(request):
    return render(request, 'buatstory8.html')

def caridata(request):
    param = request.GET['q']
    url_dest = 'https://www.googleapis.com/books/v1/volumes?q=' + param
    res = request.get(url_dest)
    datanya = json.loads(res.content)
    return JsonResponse(datanya, safe=False)

story9/views.py
from django.shortcuts import render, redirect
from .forms import buatlogin, buatbaru
from django.contrib.auth.models import User
from django.contrib.auth import authenticate, login, logout
from django.http import HttpResponseRedirect

# Create your views here.
def home(request):
    return render(request, 'databuku.html')

def masuk(request):
    if request.method == "POST":
        form = buatlogin(request.POST)
        if form.is_valid():
            usrnm = form.cleaned_data["username"]
            psswrd = form.cleaned_data["password"]
            check = authenticate(request, username=usrnm, password=psswrd)
            if check is not None:
                login(request, check)
                return redirect('/story9/')
            else:
                return redirect('/story9/daftar/')
    else:
        form = buatlogin()
        response = {"form" : form}
        return render(request, "buatstory9.html", response)

def baru(request):
    if request.method == "POST":
        form = buatbaru(request.POST)
        if form.is_valid():
            usrnm = form.cleaned_data["username"]
            emailnya = form.cleaned_data["email"]
            psswrd = form.cleaned_data["password"]
            try:
                user = User.objects.get(username = usrnm)
                return redirect("/story9/daftar/")
            except User.DoesNotExist:
                user = User.objects.create_user(usrnm, emailnya, psswrd)
                return redirect("/story9/")
    else:
        form = buatbaru()
        response = {"form":form}
        return render(request, "buatbaru.html", response)

def keluar(request):
    logout(request)
    return redirect('/story9')

def caridata(request):
    param = request.GET['q']
    url_dest = 'https://www.googleapis.com/books/v1/volumes?q=' + param
    res = request.get(url_dest)
    datanya = json.loads(res.content)
    return JsonResponse(datanya, safe=False)

main/templates/main/FrontPage.html
<!DOCTYPE html>
<html>
    <head>
        <title>Welcome!</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        {% load static %}
        <link rel="stylesheet" href="{% static 'css/Front-style.css' %}">
    </head>
    <body>
        <div class="text">
            <h1 class="space"><bold>Welcome to My Profile Website!</bold></h1>
            <a href="/mainprofile"><button type="button" class="btn btn-primary">Next</button></a>
        </div>
    </body>
</html>

main/templates/main/MainPage.html
{% extends "main/nav.html" %}
{% load static %}

{% block content %}
    <body>
        <div class="row">
            <div class="column">
                <div class="center">
                    <img src="{% static 'css/img/MyPic.jpeg' %}" class="img-fluid" alt="Responsive image">
                    <span class="text">
                        <a href="{% static 'css/cv/my-cv.pdf' %}"><button type="button" class="btn btn-primary">Lihat CV</button></a>
                        <ul class="nav justify-content-center">
                            <li class="nav-item">
                              <a class="nav-link active" href="https://www.instagram.com/rifantiputrii/"><img src="{% static 'css/img/IconIG.png' %}" style="width:40px;height: 40px;"></a>
                            </li>
                            <li class="nav-item">
                              <a class="nav-link" href="https://twitter.com/ch0coolava/"><img src="{% static 'css/img/Twitter.png' %}" style="width: 40px;height: 40px;"></a>
                            </li>
                            <li class="nav-item">
                              <a class="nav-link" href="https://www.linkedin.com/in/rifanti-putri-a10579157/"><img src="{% static 'css/img/Icon_Linkedin.png' %}" style="width: 40px;height: 40px;"></a>
                            </li>
                          </ul>
                    </span>
                </div>
            </div>
            <div class="column">
                <h1>Hello!</h1>
                <h1 class="space">I'm Rifanti Putri Tallisha</h1>
                <div class="box">
                    <h2 class="spacebox">About Me</h2>
                    <p class="ptext"><bold>Perkenalkan nama saya Rifanti Putri Tallisha, biasa dipanggil Lisa. Saat ini saya merupakan seorang 
                        mahasiswa di jurusan Sistem Informasi, Fakultas Ilmu Komputer, Universitas Indonesia. Saya berasal 
                        dari Cirebon, Jawa Barat. Saya memiliki hobi mendengarkan lagu sehingga sesuatu yang berhubungan 
                        dengan musik atau lagu, saya pasti tertarik untuk mengikutinya. Tujuan saya setelah lulus dari 
                        Fasilkom UI ini adalah untuk bisa mendirikan suatu bisnis atau menjadi project management di suatu 
                        perusahaan. </bold>
                    </p>
                </div>
            </div>
        </div>
    </body>
{% endblock %}

main/templates/main/MatkulPage.html
{% extends "main/nav.html" %}
{% load static %}

{% block content %}
    <body>
        <h1 style="text-align: center;">Info Mata Kuliah</h1>
        <table class="table">
            <thead class="thead-dark">
              <tr>
                <th scope="col">Nama Mata Kuliah</th>
                <th scope="col">Dosen Pengajar</th>
                <th scope="col">Jumlah SKS</th>
                <th scope="col">Deskripsi Mata Kuliah</th>
                <th scope="col">Tahun Semester</th>
                <th scope="col">Ruang Kelas</th>
                <th scope="col">Hapus</th>
              </tr>
            </thead>
            <tbody>
                {% for input_form in matkul %}
              <tr>
                <td class="table-secondary">{{input_form.NamaMatkul}}</td>
                <td class="table-secondary">{{input_form.dosen}}</td>
                <td class="table-secondary">{{input_form.sks}}</td>
                <td class="table-secondary">{{input_form.deskripsi}}</td>
                <td class="table-secondary">{{input_form.tahun}}</td>
                <td class="table-secondary">{{input_form.ruangkelas}}</td>
                <td class="table-secondary"><a href="{% url 'main:deletematkul' input_form.id %}"><button type="submit" class="btn btn-primary">Delete</button></a></td>
              </tr>
              {% endfor %}
            </tbody>
          </table>
    </body>
    {% endblock %}

main/templates/main/albumpage.html
{% extends "main/nav.html" %}
{% load static %}

{% block content %}
    <body>
        <h2 class="txt">Le Familia</h2>
        <img class="img1" src="{% static 'css/img/fullteam.jpeg' %}">
        <h2 class="txt">Kindergarten</h2>
        <img class="img1" src="{% static 'css/img/playgroup.jpeg' %}">
        <h2 class="txt">Elementary School</h2>
        <div class="row2">
            <div class="column2">
              <img src="{% static 'css/img/sd.jpeg' %}" alt="Foto SD" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/kls6.jpeg' %}" alt="Kelas 6" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/kls5.jpeg' %}" alt="kelas 5" style="width:100%">
            </div>
          </div>
          <h2 class="txt">Middle School</h2>
          <div class="row2">
            <div class="column2">
              <img src="{% static 'css/img/bpr.jpg' %}" alt="Foto SMP" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/kls9.jpeg' %}" alt="Kelas 6" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/gbw.jpg' %}" alt="kelas 5" style="width:100%">
            </div>
          </div>
          <h2 class="txt">High School</h2>
          <div class="row2">
            <div class="column2">
              <img src="{% static 'css/img/BP17.jpg' %}" alt="Foto SMA" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/kls11.jpg' %}" alt="Foto SMA" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/yearbook.jpg' %}" alt="Foto SMA" style="width:100%">
            </div>
          </div>
          <h2 class="txt">Coolyeah</h2>
          <div class="row2">
            <div class="column2">
              <img src="{% static 'css/img/makabon19.jpg' %}" alt="Foto kuliah" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/sospro.jpeg' %}" alt="Foto kuliah" style="width:100%">
            </div>
            <div class="column2">
              <img src="{% static 'css/img/makabonn19.jpg' %}" alt="Foto kuliah" style="width:100%">
            </div>
          </div>
    </body>
{% endblock %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
{% endblock content %}

main/templates/main/index.html
{% extends "main/nav.html" %}
{% load static %}

{% block content %}
    <body>
        <h1 style="text-align: center;">Form Mata Kuliah</h1>
        <div class="form-group mx-auto" style="text-align: center; width: 30%;">
            <br>
            <form action="" method="POST">
                {% csrf_token %}
                <label>Nama Mata Kuliah: </label>{{input_form.NamaMatkul}}<br>
                <label>Dosen Pengajar: </label>{{input_form.dosen}}<br>
                <label>Jumlah SKS: </label>{{input_form.sks}}<br>
                <label>Deskripsi Mata Kuliah: </label>{{input_form.deskripsi}}<br>
                <label>Tahun Semester: </label>{{input_form.tahun}}<br>
                <label>Ruang Kelas: </label>{{input_form.ruangkelas}}<br>
                <button type="submit" class="btn btn-primary" style="text-align: center;">Submit</button>
            </form>

        </div>
    </body>
{% endblock %}

main/templates/main/nav.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" >
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link  rel="stylesheet" href="{% static 'css/Profile-style.css' %}">
        <title>Rifanti Putri Tallisha</title>
    </head>
    <body>
        <!-- Image and text -->
        <nav class="navbar navbar-light" style="background-color: #e3f2fd;">
            <a class="navbar-brand" href="/mainprofile">
                <img src="{% static 'css/img/profile.png' %}" width="30" height="30" class="d-inline-block align-top" alt="Profile" loading="lazy">
                My Profile
            </a>
            <a class="navbar-brand" href="/album">
                <img src="{% static 'css/img/camera.png' %}" width="30" height="30" class="d-inline-block align-top" alt="Album" loading="lazy">
                My Album
            </a>
            <a class="navbar-brand" href="/form">
                <img src="{% static 'css/img/form.png' %}" width="30" height="30" class="d-inline-block align-top" alt="Form" loading="lazy">
                Form Matkul
            </a>
            <a class="navbar-brand" href="/matkul">
                <img src="{% static 'css/img/book.png' %}" width="30" height="30" class="d-inline-block align-top" alt="Book" loading="lazy">
                List Matkul
            </a>
            <a class="navbar-brand" href="/story7/">
                <img src="{% static 'css/img/kegiatan.png' %}" width="30" height="30" class="d-inline-block align-top" alt="Book" loading="lazy">
                Story 7
            </a>
            <a class="navbar-brand" href="/story8/">
                <img src="{% static 'css/img/buku2.jpg' %}" width="30" height="30" class="d-inline-block align-top" alt="Book" loading="lazy">
                Story 8
            </a>
            <a class="navbar-brand" href="/story9/">
                <img src="{% static 'css/img/buku2.jpg' %}" width="30" height="30" class="d-inline-block align-top" alt="Book" loading="lazy">
                Story 9
            </a>
        </nav>
        {% block content %}

        {% endblock %}
    </body>
</html>

story7/templates/buatstory7.html
{% include "main/nav.html" %}
{% load static %}

<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" >
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
<link  rel="stylesheet" href="{% static 'css/Profile-style.css' %}">
<title>Rifanti Putri Tallisha</title>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

<script>
$(document).ready(function(){
  $(".accordion").accordion({
    collapsible: true,
    active: false
  });
});

function pindahatas($elemen){
  $before = $elemen.prev();
  $elemen.insertBefore($before);
}

function pindahbawah($elemen){
  $after = $elemen.next();
  $elemen.insertAfter($after);
}
</script>

</head>
<body>
    <h1 style="text-align: center;">More About Me</h1><br>
    <div class="accordion" id="accpertama">
      <h3 style= "text-align: start;">
        <button type="button" class="btn btn-outline-info" onclick="pindahatas($('#accpertama'))" >^</button>
        <button type="button" class="btn btn-outline-info" onclick="pindahbawah($('#accpertama'))">v</button>
        Aktivitas
      </h3>
      <div>
        <p>
          Saat ini saya masih menempuh pendidikan semester 3 di Jurusan Sistem Informasi, Fakultas Ilmu Komputer, Universitas Indonesia.
          Dikarenakan adanya pandemi COVID 19 yang melanda dunia dan termasuk Indonesia pada awal tahun 2020, maka pembelajaran yang dilakukan
          bersifat online atau PJJ (Pembelajaran Jarak Jauh) hingga saat ini. Dan karena adanya pandemi ini saya lebih banyak menghabiskan waktu
          saya di rumah, seperti kuliah online dan lain sebagainya.
        </p>
      </div>
    </div>

    <div class="accordion" id="acckedua">
      <h3 style= "text-align: start;">
        <button type="button" class="btn btn-outline-info" onclick="pindahatas($('#acckedua'))" >^</button>
        <button type="button" class="btn btn-outline-info" onclick="pindahbawah($('#acckedua'))">v</button>
        Organisasi atau Kepanitiaan
      </h3>
      <div>
        <p>
          Sejauh ini saya telah mengikuti berbagai kepanitiaan, diantaranya adalah menjadi staff divisi Media Partner COMPFEST 12 yang diadakan
          pada tahun 2020. Selain itu juga saya menjadi staff Field Coordinator PERAK 2020. Lalu untuk di paguyuban, saya juga pernah menjadi
          staff divisi acara UIGTC 2020.
        </p>
      </div>
    </div>

    <div class="accordion" id="accketiga">
      <h3 style= "text-align: start;">
        <button type="button" class="btn btn-outline-info" onclick="pindahatas($('#accketiga'))" >^</button>
        <button type="button" class="btn btn-outline-info" onclick="pindahbawah($('#accketiga'))">v</button>
        Prestasi
      </h3>
      <div>
        <li>Peringkat 14 Divisi satu Grand Prix Marching Band 2015</li>
        <li>Peringkat 12 divisi satu Grand Prix Marching Band 2013</lyi>
      </div>
    </div>

    <div class="accordion" id="acckeempat">
      <h3 style= "text-align: start;">
        <button type="button" class="btn btn-outline-info" onclick="pindahatas($('#acckeempat'))" >^</button>
        <button type="button" class="btn btn-outline-info" onclick="pindahbawah($('#acckeempat'))">v</button>
        Interests
      </h3>
      <div>
        <p>
          Saya sangat tertarik dengan musik. Hampir setiap malam ketika mengerjakan tugas saya selalu mendengarkan lagu untuk menemani saya.
          Di tempat mana pun yang memutarkan lagu yang saya sukai, pasti saya tidak bisa menahan untuk tidak bernyanyi hahaha padahal suara saya
          cempreng huhu.
        </p>
      </div>
    </div>
</body>
</html>

story8/templates/buatstory8.html
{% include "main/nav.html" %}
{% load static %}

<!DOCTYPE html>
<html>
    <link  rel="stylesheet" href="{% static 'search.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <br>
    <h1 style="text-align: center;">Data Buku</h1> <br>
    <div class="cari">
        <input id="key" placeholder="Masukkan keyword" style="text-align: center;"> <br> <br>
    </div>
    <table class="table table-dark">
        <thead>
          <tr>
            <th scope="col">Title</th>
            <th scope="col">Author</th>
            <th scope="col">Publish Date</th>
          </tr>
        </thead>
        <tbody id="hsl">

        </tbody> 
    </table>

    <script type="text/javascript">
        $("#key").keyup(function() {
            var input = $("#key").val();
            var buaturl = 'https://www.googleapis.com/books/v1/volumes?q=' + input;
            $.ajax({
                url: buaturl,
                success: function(result){
                    console.log(result.items);
                    var hasil = $("#hsl");
                    hasil.empty();

                    for(i = 0; i < result.items.length; i++){
                        var judul = result.items[i].volumeInfo.title;
                        var author = result.items[i].volumeInfo.authors;
                        var tanggal = result.items[i].volumeInfo.publishedDate;
                        console.log(judul);
                        hasil.append(
                            "<tr> <td>" + judul + "</td>" +
                            "<td>" + author + "</td>" +
                            "<td>" + tanggal + "</td>"
                        );
                    }
                }
            })
        })
    </script>
</html>

story9/templates/buatbaru.html
{% include "navstory9.html" %}
{% load static %}

<!DOCTYPE html>
<html>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <body>
        <h3 style="text-align: center;">Yuk buat akun dulu</h3>
        <div class="form-group mx-auto" style="background-color: cadetblue; text-align: center;">
            <br>
            <form method="POST">
                {% csrf_token %}
                {{ form.username }}
                <br>
                {{ form.email }}
                <br>
                {{ form.password }}
                <br><br>
                <button type="submit" class="btn btn-primary" style="background-color: chartreuse;">Sign Up</button>
            </form>
        </div>        
    
    </body>
</html>

story9/templates/buatstory9.html
{% include "navstory9.html" %}
{% load static %}

<!DOCTYPE html>
<html>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <body>
        <h3 style="text-align: center;">Yuk Login dulu</h3>
        <div class="form-group mx-auto" style="background-color: cadetblue; text-align: center;">
            <form method="POST">
                {% csrf_token %}
                <br> 
                {{ form.username }}
                <br>
                {{ form.password }}
                <br>
                <button type="submit" class="btn btn-primary" style="background-color:#AD2828; margin: 0 0 15px 0">Login</button>
            </form>
        </div>        
    </body>

</html>

story9/templates/databuku.html
{% include "navstory9.html" %}
{% load static %}

<!DOCTYPE html>
<html>
    <link  rel="stylesheet" href="{% static 'search.css' %}">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <br>
    <h1 style="text-align: center;">Data Buku</h1> <br>
    <div class="cari">
        <input id="key" placeholder="Masukkan keyword" style="text-align: center;"> <br> <br>
    </div>
    <table class="table table-dark">
        <thead>
          <tr>
            <th style="text-align: center;">Title</th>
            <th style="text-align: center;">Author</th>
            <th style="text-align: center;">Publish Date</th>
          </tr>
        </thead>
        <tbody id="hsl">

        </tbody> 
    </table>

    <script type="text/javascript">
        $("#key").keyup(function() {
            var input = $("#key").val();
            var buaturl = 'https://www.googleapis.com/books/v1/volumes?q=' + input;
            $.ajax({
                url: buaturl,
                success: function(result){
                    console.log(result.items);
                    var hasil = $("#hsl");
                    hasil.empty();

                    for(i = 0; i < result.items.length; i++){
                        var judul = result.items[i].volumeInfo.title;
                        var author = result.items[i].volumeInfo.authors;
                        var tanggal = result.items[i].volumeInfo.publishedDate;
                        console.log(judul);
                        hasil.append(
                            "<tr> <td>" + judul + "</td>" +
                            "<td>" + author + "</td>" +
                            "<td>" + tanggal + "</td>"
                        );
                    }
                }
            })
        })
    </script>
</html>

story9/templates/navstory9.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" >
        <link rel="stylesheet" href= "https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <link  rel="stylesheet" href="{% static 'css/Profile-style.css' %}">
        <title>Rifanti Putri Tallisha</title>
    </head>
    <body>
        <nav class="navbar navbar-inverse">
            <div class="container-fluid">
              <div class="navbar-header">
                <a class="navbar-brand" href="/">Mon-Profil</a>
              </div>
              <ul class="nav navbar-nav">
                <li class="active"><a href="/mainprofile">Home</a></li>
                <li><a href="/matkul">Daftar Matkul</a></li>
                <li><a href="/story7">Story 7</a></li>
                <li><a href="/story8">Story 8</a></li>
              </ul>

              {% if user.is_authenticated %}
              <ul class="nav navbar-nav navbar-right">
                <li><a href="#"><span class="glyphicon glyphicon-user"></span> Hello, {{ user.get_username }} </a></li>
                <li><a href="{% url 'story9:logout' %}"><span class="glyphicon glyphicon-log-in"></span> Logout</a></li>
              </ul>
              {% else %}
              <ul class="nav navbar-nav navbar-right">
                <li><a href="{% url 'story9:daftar' %}"><span class="glyphicon glyphicon-user"></span> Sign Up</a></li>
                <li><a href="{% url 'story9:login' %}"><span class="glyphicon glyphicon-log-in"></span> Login</a></li>
              </ul>
              {% endif %}
            </div>
        </nav>
        {% block content %}
          
        {% endblock %}
    </body>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
</body>
  {% block content %}
  {% endblock content %}
</html>